nxt.http.callers

## Class CalculateFullHashCall

- java.lang.Object
- - nxt.http.APICall.Builder<CalculateFullHashCall>
  - - nxt.http.callers.CalculateFullHashCall

-     public class CalculateFullHashCall
      extends APICall.Builder<CalculateFullHashCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CalculateFullHashCall` | `create()`
    `CalculateFullHashCall` | `signatureHash(java.lang.String signatureHash)`
    `CalculateFullHashCall` | `unsignedTransactionBytes(byte[] unsignedTransactionBytes)`
    `CalculateFullHashCall` | `unsignedTransactionBytes(java.lang.String unsignedTransactionBytes)`
    `CalculateFullHashCall` | `unsignedTransactionJSON(java.lang.String unsignedTransactionJSON)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static CalculateFullHashCall create()

    - #### signatureHash

          public CalculateFullHashCall signatureHash(java.lang.String signatureHash)

    - #### unsignedTransactionBytes

          public CalculateFullHashCall unsignedTransactionBytes(java.lang.String unsignedTransactionBytes)

    - #### unsignedTransactionBytes

          public CalculateFullHashCall unsignedTransactionBytes(byte[] unsignedTransactionBytes)

    - #### unsignedTransactionJSON

          public CalculateFullHashCall unsignedTransactionJSON(java.lang.String unsignedTransactionJSON)